//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <itractorgen/expression/color.h>


expression_color::~expression_color()
{
}


expression_color::expression_color(const icon_pixel &a_value) :
    value(a_value)
{
}


expression_color::pointer
expression_color::create(const icon_pixel &a_value)
{
    return pointer(new expression_color(a_value));
}


bool
expression_color::is_an_image(void)
    const
{
    return true;
}


bool
expression_color::is_a_number(void)
    const
{
    return false;
}


rectangle
expression_color::get_bounding_box(void)
    const
{
    return rectangle();
}


rectangle
expression_color::get_body_region(void)
    const
{
    return rectangle();
}


icon_pixel
expression_color::get_pixel(double, double)
    const
{
    return value;
}


std::string
expression_color::representation(void)
    const
{
    return value.representation();
}


double
expression_color::get_numeric_value(void)
    const
{
    return 0;
}


expression::pointer
expression_color::resolve_alternatives(void)
    const
{
    return create(value);
}


// vim: set ts=8 sw=4 et :
