//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <itractorgen/expression.h>


void
expression::draw(const image::pointer &ip, unsigned grid)
    const
{
    rectangle bb = get_bounding_box();
    if (grid <= 1)
    {
        for (int y = 0; y < bb.dy; ++y)
        {
            for (int x = 0; x < bb.dx; ++x)
            {
                icon_pixel p = get_pixel(x, y);
                ip->set_pixel(x, y, p);
            }
        }
    }
    else
    {
        for (int y = 0; y < bb.dy; ++y)
        {
            for (int x = 0; x < bb.dx; ++x)
            {
                icon_pixel p = super_sample(x, y, grid);
                ip->set_pixel(x, y, p);
            }
        }
    }
}


// vim: set ts=8 sw=4 et :
