//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <itractorgen/expression/empty.h>


expression_empty::~expression_empty()
{
}


expression_empty::expression_empty()
{
}


expression_empty::pointer
expression_empty::create(void)
{
    return pointer(new expression_empty());
}


bool
expression_empty::is_an_image(void)
    const
{
    return true;
}


rectangle
expression_empty::get_bounding_box(void)
    const
{
    return rectangle();
}


rectangle
expression_empty::get_body_region(void)
    const
{
    return rectangle();
}


icon_pixel
expression_empty::get_pixel(double, double)
    const
{
    return icon_pixel::transparent;
}


std::string 
expression_empty::representation(void)
    const
{
    return "empty";
}


bool
expression_empty::is_a_number(void)
    const
{
    return false;
}


double
expression_empty::get_numeric_value(void)
    const
{
    assert(!"should not be able to reach here");
    return 0;
}


expression::pointer
expression_empty::resolve_alternatives(void)
    const
{
    return create();
}


// vim: set ts=8 sw=4 et :
