//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <itractorgen/expression/negate.h>


expression_negate::~expression_negate()
{
}


expression_negate::expression_negate(const pointer &a_deeper) :
    deeper(a_deeper)
{
}


expression_negate::pointer
expression_negate::create(const pointer &a_deeper)
{
    return pointer(new expression_negate(a_deeper));
}


bool
expression_negate::is_an_image(void)
    const
{
    return false;
}


bool
expression_negate::is_a_number(void)
    const
{
    return true;
}


rectangle
expression_negate::get_bounding_box(void)
    const
{
    assert(!"should not be able to reach here");
    return rectangle();
}


rectangle
expression_negate::get_body_region(void)
    const
{
    assert(!"should not be able to reach here");
    return rectangle();
}


icon_pixel
expression_negate::get_pixel(double, double)
    const
{
    assert(!"should not be able to reach here");
    return icon_pixel();
}


std::string
expression_negate::representation(void)
    const
{
    return "-" + deeper->representation();
}


double
expression_negate::get_numeric_value(void)
    const
{
    return -deeper->get_numeric_value();
}


expression::pointer
expression_negate::resolve_alternatives(void)
    const
{
    return create(deeper->resolve_alternatives());
}


// vim: set ts=8 sw=4 et :
