//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/string_from_format.h>

#include <itractorgen/expression/number.h>


expression_number::~expression_number()
{
}


expression_number::expression_number(double a_value) :
    value(a_value)
{
}


expression_number::pointer
expression_number::create(double a_value)
{
    return pointer(new expression_number(a_value));
}


bool
expression_number::is_an_image(void)
    const
{
    return false;
}


rectangle
expression_number::get_bounding_box(void)
    const
{
    return rectangle();
}


rectangle
expression_number::get_body_region(void)
    const
{
    return rectangle();
}


icon_pixel
expression_number::get_pixel(double, double)
    const
{
    return icon_pixel();
}


std::string
expression_number::representation(void)
    const
{
    return string_from_format("%.9g", value);
}


bool
expression_number::is_a_number(void)
    const
{
    return true;
}


double
expression_number::get_numeric_value(void)
    const
{
    return value;
}


expression::pointer
expression_number::resolve_alternatives(void)
    const
{
    return create(value);
}



// vim: set ts=8 sw=4 et :
