//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef ITRACTORGEN_LEX_H
#define ITRACTORGEN_LEX_H

#include <lib/gcc_attributes.h>
#include <itractorgen/position.h>

void lex_open(const std::string &filename);
void lex_close(void);
void lex_error(const char *fmt, ...) FORMAT_PRINTF(1, 2);
int grammar_lex(void);
void grammar_error(const char *text);
position lex_get_position(void);
void lex_one_more_error(void);

// vim: set ts=8 sw=4 et :
#endif // ITRACTORGEN_LEX_H
