//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef ITRACTORGEN_STYLE_H
#define ITRACTORGEN_STYLE_H

#include <itractorgen/expression.h>

void style_list(void);
std::string random_style_name(void);
std::string filename_from_style_name(const std::string &style_name);
std::string filename_from_random_style(void);

expression::pointer expr_from_style(const std::string &tractor_input_file,
    int factor, int maximum_height);
expression::pointer expr_from_style(const std::string &tractor_input_file,
    int factor, int maximum_height, unsigned &super_sample);
void file_from_style(const std::string &tractor_input_file,
    int factor, int maximum_height, const std::string &image_output_file);

// vim: set ts=8 sw=4 et :
#endif // ITRACTORGEN_STYLE_H
