//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/image/format.h>


void
image_format::set_pixel(int x, int y, const icon_pixel &value)
{
    if (x < 0 || x >= (int)width || y < 0 || y >= (int)height)
        return;
    data_t *p = data + (y * width + x) * 4;
    p[0] = value.get_red_byte();
    p[1] = value.get_green_byte();
    p[2] = value.get_blue_byte();
    p[3] = value.get_alpha_byte();
}


// vim: set ts=8 sw=4 et :
