//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/image.h>


void
image::draw_rectangle(int x, int y, int w, int h)
{
    draw_rectangle(x, y, w, h, pen_clr);
}


void
image::draw_rectangle(int ox, int oy, int w, int h, const icon_pixel &clr)
{
    for (int y = 0; y < h; ++y)
    {
        for (int x = 0; x < w; ++x)
        {
            set_pixel(ox + x, oy + y, clr);
        }
    }
}


// vim: set ts=8 sw=4 et :
