//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef LIB_PATH_JOIN_H
#define LIB_PATH_JOIN_H

#include <lib/config.h>
#include <string>

/**
  * The path_join function is used to join two pieces of path together
  * to make a new path, eliding redundant "." directories as required.
  *
  * @param lhs
  *     The left hand side of the join; should be a directory.
  * @param rhs
  *     The right hand side of the join.
  */
std::string path_join(const std::string &lhs, const std::string &rhs);

// vim: set ts=8 sw=4 et :
#endif // LIB_PATH_JOIN_H
