//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef LIB_READ_WHOLE_DIRECTORY_H
#define LIB_READ_WHOLE_DIRECTORY_H

#include <lib/config.h>
#include <list>
#include <string>

/**
  * The read_whole_directory function may be used to read the contents
  * of a directory.  The "." and ".." entries are omitted.
  *
  * @param path
  *     The path of the directory to be read.
  * @param result
  *     where to place the filenames read from the directory
  */
void read_whole_directory(const std::string &path,
    std::list<std::string> &result);

// vim: set ts=8 sw=4 et :
#endif // LIB_READ_WHOLE_DIRECTORY_H
