//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/config.h>
#include <cstdio>
#include <libexplain/program_name.h>

#include <lib/version.h>
#include <lib/patchlevel.h>


//
// See the comment attached to the symlink_exceptions field of the
// aegis.conf.d/cook file for how the version stamp is maintained
// separarely for each development directory and integration directory.
//


const char *
version(void)
{
    return PATCHLEVEL;
}


const char *
copyright_years(void)
{
    return COPYRIGHT_YEARS;
}


void
print_version(void)
{
    const char *prog = explain_program_name_get();
    printf("%s version %s\n", prog, version());
    printf("Copyright (C) %s Peter Miller\n", copyright_years());
    printf("\n");
    printf("The %s program comes with ABSOLUTELY NO WARRANTY; the\n", prog);
    printf("%s program is free software, and you are welcome to\n", prog);
    printf("redistribute it under certain conditions; for details see\n");
    printf("the LICENSE file included in the source tarball.\n");
}
