//
// itractorgen - generate images of tractors
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or (at
// your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef LIB_VERSION_H
#define LIB_VERSION_H

/**
  * The version function may be used to obtain the version of the
  * currently executing program.  It is generated and updated by the
  * build system.
  */
const char *version(void);

/**
  * The copyright_years function may be used to obtain the tear (or year
  * range) to be printed in copyright messages.
  */
const char *copyright_years(void);

/**
  * The print_version function is used to print the version number and a
  * brief copyright message on the standard output.  This may be used by
  * --version command line options.
  */
void print_version(void);

#endif // INCLUDE_VERSION_H
// vim: set ts=8 sw=4 et :
