#!/bin/sh
#
# itractorgen - generate images of tractors
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
TEST_SUBJECT="class expression_scale"
. test_prelude

cat > left.pbm << 'fubar'
P1
8 8
0000000001000000010000000100000001000000010000000111111000000000
fubar
test $? -eq 0 || no_result

cat > middle.pbm << 'fubar'
P1
8 8
0000000001000100011011000101010001000100010001000100011000000000
fubar
test $? -eq 0 || no_result

cat > right.pbm << 'fubar'
P1
8 8
0000000001111000010001000100010001111000010001000100001000000000
fubar
test $? -eq 0 || no_result

cat > test.tractor << 'fubar'
left = scale(left.pbm, 1.5);
middle = scale(middle.pbm, 0.25);
right = scale(right.pbm, 1, 1);
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
#define test_width 22
#define test_height 12
static char test_bits[] = {
  0x00, 0xF0, 0x3F, 0x00, 0xF0, 0x3F, 0x04, 0xF0, 0x3F, 0x04, 0xF0, 0x3F, 
  0x04, 0x30, 0x00, 0x04, 0xB0, 0x07, 0x04, 0xB0, 0x08, 0x04, 0xB0, 0x08, 
  0x04, 0xB0, 0x07, 0xFC, 0xB7, 0x08, 0xFC, 0x87, 0x10, 0x00, 0x00, 0x00, 
  };
fubar
test $? -eq 0 || fail

itractorgen -f test.tractor -o test.png -n 5
if test $? -ne 0 ; then fail; fi

convert test.png test.xbm
test $? -eq 0 || no_result

diff test.ok test.xbm
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass
# vim: set ts=8 sw=4 et :
